! A wall paper
SET COLOR MODE "NATIVE"      
GLOAD "zenkouji.JPG" 
ASK PIXEL SIZE (0,0; 1,1) a,b 
DIM p(a,b)                   
ASK PIXEL ARRAY (0,1) p    
SET BITMAP SIZE 1001,1001    
CLEAR                         
SET POINT STYLE 1
SET WINDOW -1, 1, -1, 1       
FOR i=PIXELx(-1) TO PIXELx(1)
   FOR j=PIXELy(-1) TO PIXELy(1)
      LET x=PROBLEMx(i)          
      LET y=PROBLEMy(j)          
      LET u=MOD(ROUND(x*2*a), 2*a)-a  
      LET v=MOD(ROUND(y*2*b), 2*b)-b  
      IF u<0 THEN LET u=-u ELSE LET u=u+1  
      IF v<0 THEN LET v=-v ELSE LET v=v+1   
      SET POINT COLOR p(u,v)
      PLOT POINTS: x,y
   NEXT j
NEXT i
END
